<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ggMore.aspx.cs" Inherits="Webdisk.ggMore" %>
<%@ Register Src="Top.ascx" TagName="top" TagPrefix="uc1" %>
<%@ Register Src="bottom.ascx" TagName="bottom" TagPrefix="uc2" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>系统公告</title>
    <script src="js/jquery-1.7.1.min.js" type="text/javascript"></script>
    <script src="js/jquery.pagination.js" type="text/javascript"></script>
    <link rel="stylesheet" href="js/artDialog/css/ui-dialog.css" />
    <script src="js/artDialog/dist/dialog-plus.js" type="text/javascript"></script>
    <link href="css/common.css" rel="stylesheet" type="text/css" />
    <link href="themes/default/easyui.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <uc1:top ID="top" runat="server" />
    <form id="form1" runat="server" class="content">
	
    <div id="pageBody" class="block01 mt30 " style="min-height:600px;">
		<div class="rightTitle">网站首页&gt;<span class="current">系统公告</span></div>
		<div id="fileContent">
		</div>
		<div class="pageList" id="page" > 
		</div>
    </div>
    </form>
    <uc2:bottom ID="bottom" runat="server" />
</body>
</html>
<script type="text/javascript">
    var ggList = {};
    ggList.init = function () {
        this.getGG();
    }
    ggList.getGG = function (currentPage) {
        var that = this;
        var d = dialog();
        currentPage = currentPage ? currentPage : 0;
        var tempPara = "", showType = ""; 
        function ajax(page, callback) {
            $.ajax({
                url: "ggList.aspx",
                data: { page: page },
                dataType: "html",
                cache: false,
                beforeSend: function () {
                    d.showModal();
                },
                success: function (data) {
                    var data;
                    d.close().remove();
                    typeof callback == "function" && (callback(data));
                }
            });
        }
        function html(html) {
            $("#fileContent").empty().append(html);
        }
        ajax(currentPage, function (data) {
            html(data);
            var maxlength = parseInt($("#H_itemtCount").val());
            $("#page").pagination(maxlength, {
                prev_text: '< 上一页',
                next_text: '下一页 >',
                items_per_page: parseInt($("#H_pagesize").val()),
                num_display_entries: 5,
                current_page: 0,
                num_edge_entries: 2,
                link_to: "javascript:void(0);",
                callback: function (page_id, panel) {
                    var self = this;
                    ajax(page_id, function (vdata) {
                        self.maxentries = parseInt($("#H_itemtCount").val());
                        html(vdata);
                    });
                }
            });
        });
    }
    ggList.init();
</script>
